#ifndef Hydjet2Wrapper
#define Hydjet2Wrapper

/*
 *
 * Wrapper for FORTRAN part of HYDJET2
 *
 * Andrey Belyaev
 *
 */
#define _MAXMULsize_ 150000

/*
extern "C" {
   void hyinit_();
}
#define HYINIT hyinit_
*/

extern "C" {
  void mydelta_();
}
#define MYDELTA mydelta_

extern "C" {
  void myini_();
}
#define MYINI myini_

extern "C" {
  void hyevnt_(Double_t &bfix1);
}
#define HYEVNT hyevnt_

extern "C" {
void hyjver_(Int_t&, Int_t&, Int_t&, Int_t&);
}
#define HYJVER hyjver_

/*
extern "C" {
  extern struct {
    Double_t ytfl;
    Double_t ylfl;
    Double_t Tf;
    Double_t fpart;
  } hyflow_;
}
#define HYFLOW hyflow_
*/
/*
//common /jetinf/ jetmult(1000),initialpdg(1000),lastpdg(1000),ihardt,kkk(150000)
extern "C" {
  extern struct{
    //Int_t jetmult[150000];
    //Int_t initialpdg[150000];
    //Int_t lastpdg[150000];
    //Int_t ihardt;
    Int_t kkk[150000];
  }jetinf_;
}
#define JETINF jetinf_
*/
extern "C" {
  extern struct{
    Double_t bgen;
    Double_t nbcol;
    Double_t npart;
    Double_t npart0;
    Int_t npyt;
    Int_t nhyd;
  }hyfpar_;
}
#define HYFPAR hyfpar_

//common /hyipar/ bminh,bmaxh,AW,RA,npar0,nbco0,Apb,Rpb,np,init,ipr
extern "C" {
  extern struct {
    Double_t bminh;
    Double_t bmaxh;
    Double_t AW;
    Double_t RA;
    Double_t npar0;
    Double_t nbco0;
    Double_t Apb;
    Double_t Rpb;
    Int_t   np;
    Int_t   init;
    Int_t   ipr; 
  } hyipar_;
}
#define HYIPAR hyipar_

//common/SERVICE/iseed_fromC,iPythDecay,parPYTH(100),charm
extern "C" {
  extern struct {
    Int_t iseed_fromC;
    Int_t iPythDecay;
    Double_t parPYTH[100];
    Double_t charm;
  } service_;
}
#define SERVICE service_

//common/SERVICEEV/psiv3,delta,KC,ipdg
extern "C" {
  extern struct {
    Float_t psiv3;
    Float_t delta;
    Int_t KC;
    Int_t ipdg;
  } serviceev_;
}
#define SERVICEEV serviceev_

//common /hypyin/ ene,rzta,rnta,bfix,ifb,nh
extern "C" {
  extern struct {
    Double_t ene;
    Double_t rzta;
    Double_t rnta;
    Double_t bfix;
    Int_t ifb;
    Int_t nh;
  } hypyin_;
}
#define HYPYIN hypyin_

//common /hypart/ppart(20,150000),bmin,bmax,njp
extern "C" {
  extern struct {
    Double_t ppart[_MAXMULsize_][20];
    Double_t bmin;
    Double_t bmax;
    Int_t njp;
  } hypart_;
} 
#define HYPART hypart_

/*
//common /hyjets/ nhj,nhp,khj(150000,5),phj(150000,5),vhj(150000,5)
extern "C" {
  extern struct{
    Int_t nhj;
    Int_t nhp;
    Int_t khj[5][_MAXMULsize_];
    Double_t phj[5][_MAXMULsize_];
    Double_t vhj[5][_MAXMULsize_];
  }hyjets_;
}
#define hyjets hyjets_
*/

//common /hyjpar/ ptmin,sigin,sigjet,nhsel,iPyhist,ishad,njet 
extern "C" {
  extern struct{

    Double_t ptmin;
    Double_t sigin;
    Double_t sigjet;
    Int_t nhsel;
    Int_t iPyhist;
    Int_t ishad;
    Int_t njet;
  }hyjpar_;
}
#define HYJPAR hyjpar_

//common /hyjemb/ ifPyqEmb
extern "C" {
  extern struct{
    Int_t ifPyqEmb;
  }hyjemb_;
}
#define HYJEMB hyjemb_

//common /pyqpar/ T0,tau0,nf,ienglu,ianglu
extern "C" {
  extern struct{
    Double_t T0;
    Double_t tau0;
    Int_t   nf;
    Int_t   ienglu;
    Int_t   ianglu;
  }pyqpar_;
}
#define PYQPAR pyqpar_

//common /pypars/ mstp(200),parp(200),msti(200),pari(200)
/*
extern "C" {
  extern struct{
    Int_t mstp[200];
    Double_t parp[200];
    Int_t msti[200];
    Int_t pari[200];
  }pypars_;
}
#define PYPARS pypars_
*/

//common /pysubs/ msel,mselpd,msub(500),kfin(2,-40:40),ckin(200)
/*
extern "C" {
  extern struct{
    Int_t msel; //v
    Int_t mselpd;
    Int_t msub[500];
    Int_t kfin[2][81];
    Double_t ckin[200];
  }pysubs_;
}
#define PYSUBS pysubs_
*/

//common /pydat1/ mstu(200),paru(200),mstj(200),parj(200)
/*
extern "C" {
  extern struct{
    Int_t mstu[200];
    Double_t paru[200];
    Int_t mstj[200];
    Double_t parj[200];
  }pydat1_;
}
#define pydat1 pydat1_
*/

//COMMON /PYDAT3/MDCY(500,3),MDME(8000,2),BRAT(8000),KFDP(8000,5)
/*
extern "C" {
  extern struct{
    Int_t mdcy[500][3];
    Int_t mdme[8000][2];
    Float_t brat[8000];
    Float_t kfdp[8000][5];
  }pydat3_;
}
#define PYDAT3 pydat3_
*/

#endif

