# - Locate PYQUEN library
# Defines:
#
#  PYQUEN_FOUND
#  PYQUEN_INCLUDE_DIR
#  PYQUEN_INCLUDE_DIRS (not cached)
#  PYQUEN_LIBRARY
#  PYQUEN_LIBRARY_DIR (not cached)
#  PYQUEN_LIBRARIES (not cached)

set(_pyquendirs
    ${PYQUEN}
    $ENV{PYQUEN}
    ${PYQUEN_DIR}
    $ENV{PYQUEN_DIR}
    /cern/pro/lib
    /opt/pyquen
    /usr/lib/pyquen
    /usr/local/lib/pyquen
    #${PYQUEN_DIR}/lib
    )

find_path(PYQUEN_INCLUDE_DIR general_pyquen.inc
           HINTS ${_pyquendirs}
           PATH_SUFFIXES include
           DOC "Specify the Pyquen include dir here.")

if(PYQUEN_INCLUDE_DIR)
  set(PYQUEN_INCLUDE_DIRS ${PYQUEN_INCLUDE_DIR})
endif()

find_library(PYQUEN_LIBRARY NAMES pyquen
             HINTS ${_pyquendirs}
             PATH_SUFFIXES lib
             DOC "Specify the Pyquen library here.")

set(PYQUEN_LIBRARIES ${PYQUEN_LIBRARY})

get_filename_component(PYQUEN_LIBRARY_DIR ${PYQUEN_LIBRARY} PATH)

# handle the QUIETLY and REQUIRED arguments and set PYQUEN_FOUND to TRUE if
# all listed variables are TRUE

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(PYQUEN DEFAULT_MSG PYQUEN_LIBRARY)

mark_as_advanced(PYQUEN_INCLUDE_DIR
                 PYQUEN_LIBRARY)
